﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BoyHowdy.Erb.Lib.Domain.Survey;

namespace BoyHowdy.Erb.Tests.Data
{
    public class SurveyGenerator
    {
        public static Survey GetPureGeniousSurveyData()
        {
            var s = new Survey();
            s.Questions.Add(new Question() { Answer="his last one", 
                                               Description="In which battle did Napoleon die?", 
                                               Number=1});
            s.Questions.Add(new Question() { Answer="at the bottom of the page", 
                                               Description="Where was the Declaration of Independence signed?", 
                                               Number=2});
            s.Questions.Add(new Question() { Answer="liquid", 
                                               Description="River Ravi flows in which state?", 
                                               Number=3});
            s.Questions.Add(new Question() { Answer="divorce", 
                                               Description="What is the main reason for divorce?", 
                                               Number=4});
            s.Questions.Add(new Question() { Answer="exams", 
                                               Description="What is the main reason for failure? ", 
                                               Number=5});
            s.Questions.Add(new Question() { Answer="lunch & dinner", 
                                               Description="What can you never eat for breakfast?", 
                                               Number=6});
            s.Questions.Add(new Question() { Answer="the other half", 
                                               Description="What looks like half an apple? ", 
                                               Number=7});
            s.Questions.Add(new Question() { Answer="no problem, he sleeps at night", 
                                               Description="How can a man go eight days without sleeping ? ", 
                                               Number=8});
            s.Questions.Add(new Question() { Answer="very large hands", 
                                               Description="If you had three apples and four oranges in one hand and four apples and three oranges in other hand, what would you have ? ", 
                                               Number=9});
            s.Questions.Add(new Question() { Answer="no time at all, the wall is already built", 
                                               Description="If it took eight men ten hours to build a wall, how long would it take four men to build it?", 
                                               Number=10});
            return s;
        }


        public static Survey GetSatisfiedClientSurveyData()
        {
            var s = new Survey();
            s.Questions.Add(new Question()
            {
                Answer = "Very Satisfied",
                Description = "How happy were you with your service?",
                Number = 1
            });
            s.Questions.Add(new Question()
            {
                Answer = "From someone that has done business with you in the past",
                Description = "How did you first hear about us?",
                Number = 2
            });
            s.Questions.Add(new Question()
            {
                Answer = "Yes",
                Description = "May we contact you about specials in the future?",
                Number = 3
            });
            s.Questions.Add(new Question()
            {
                Answer = "Yes",
                Description = "Would you like us to follow up with you in 6 months?",
                Number = 4
            });
            s.Questions.Add(new Question()
            {
                Answer = "",
                Description = "Please explain your situation so we may investigate the situation.",
                Number = 5
            });
            return s;
        }

        public static Survey GetUnSatisfiedClientSurveyData()
        {
            var s = new Survey();
            s.Questions.Add(new Question()
            {
                Answer = "Very Unsatisfied",
                Description = "How happy were you with your service?",
                Number = 1
            });
            s.Questions.Add(new Question()
            {
                Answer = "Google",
                Description = "How did you first hear about us?",
                Number = 2
            });
            s.Questions.Add(new Question()
            {
                Answer = "No",
                Description = "May we contact you about specials in the future?",
                Number = 3
            });
            s.Questions.Add(new Question()
            {
                Answer = "No",
                Description = "Would you like us to follow up with you in 6 months?",
                Number = 4
            });
            s.Questions.Add(new Question()
            {
                Answer = "The sales person didn't return my phone calls. I called them three times, no response.",
                Description = "Please explain your situation so we may investigate the situation.",
                Number = 5
            });
            return s;
        }

    }
}
